﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.Drawing.Imaging
Imports System.Windows.Forms
Imports WiimoteLib
Public Class Form1
    Private Delegate Sub UpdateWiimoteStateDelegate(ByVal args As WiimoteChangedEventArgs)
    Private wm As New Wiimote
    Public Sub New()
        InitializeComponent()
    End Sub
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        wm.Connect()
        wm.SetReportType(InputReport.ButtonsAccel, True)
        wm.SetLEDs(False, True, True, False)
        AddHandler wm.WiimoteChanged, AddressOf wm_WiimoteChanged
    End Sub
    Private Sub wm_WiimoteChanged(ByVal sender As Object, ByVal args As WiimoteChangedEventArgs)
        UpdateState(args)
    End Sub
    Public Sub UpdateState(ByVal args As WiimoteChangedEventArgs)
        BeginInvoke(New UpdateWiimoteStateDelegate(AddressOf UpdateWiimoteChanged), args)
    End Sub

    Private Sub UpdateWiimoteChanged(ByVal args As WiimoteChangedEventArgs)
        Dim ws As WiimoteState = args.WiimoteState
        Label4.Text = ws.AccelState.Values.X
        Label5.Text = ws.AccelState.Values.Y
        Label6.Text = ws.AccelState.Values.Z
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As FormClosingEventArgs) Handles MyBase.FormClosing
        wm.SetLEDs(False, False, False, False)
        wm.Disconnect()
    End Sub
End Class
